Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine.extenders
Class UpdateWeightExtender

    java.lang.Object
      org.joone.engine.extenders.LearnerExtender
          org.joone.engine.extenders.UpdateWeightExtender

Direct Known Subclasses:
  BatchModeExtender, OnlineModeExtender

    public abstract class UpdateWeightExtender

extends LearnerExtender

This abstract class describes the methods needed for a update weight extender, that is, a class that updates weights (storing) according to some algorithm (e.g. batch mode).

Author:
  Boris Jansen

Constructor Summary
`UpdateWeightExtender()` Creates a new instance of UpdateWeightExtender

Method Summary
`abstract boolean` | `storeWeightsBiases()` Checks if the weights or biases will be stored this cycle.
`abstract void` | `updateBias(int i, double aDelta)` Updates a bias with the calculated delta value.
`abstract void` | `updateWeight(int j, int k, double aDelta)` Updates a weight with the calculated delta value.

Methods inherited from class org.joone.engine.extenders.LearnerExtender
`getLearner, isEnabled, postBiasUpdate, postWeightUpdate, preBiasUpdate, preWeightUpdate, setEnabled, setLearner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateWeightExtender

    public UpdateWeightExtender()

  Creates a new instance of UpdateWeightExtender

Method Detail

### updateBias

    public abstract void updateBias(int i,
                                    double aDelta)

  Updates a bias with the calculated delta value.

  Parameters:
    `i` - the index of the bias to update.
    `aDelta` - the calculated delta value.

### updateWeight

    public abstract void updateWeight(int j,
                                      int k,
                                      double aDelta)

  Updates a weight with the calculated delta value.

  Parameters:
    `j` - the input index of the weight to update.
    `k` - the output index of the weight to update.
    `aDelta` - the calculated delta value.

### storeWeightsBiases

    public abstract boolean storeWeightsBiases()

  Checks if the weights or biases will be stored this cycle.

  Returns:
    true if the weights or biases will be stored this cycle, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net